Jump to: navigation, search

intelligent Workload Distribution

General Information - intelligent Workload Distribution

For supported operating environment information on Genesys Interactive Insights for iWD, see the Genesys Interactive Insights page in this Supported Operating Environment Reference Guide.

Supported Operating Systems

intelligent Workload Distribution Servers Support

Notes:
  • For Microsoft products with sub-versions such as R1/R2, all versions are supported except as noted for the specific product.
  • For Solaris SPARC, an asterisk (*) indicates the oldest operating systems supported for the Genesys 7.x and Genesys 8.x Maintenance Interoperable Components, including AIX Power PC, HP-UX, and Solaris SPARC.
  • Genesys supports use of products on Oracle Linux, provided that the Oracle Linux distribution is 100% compatible with a Genesys-supported Red Hat distribution, and that the Oracle Unbreakable Enterprise Kernel is not used. Genesys will only support Oracle Linux based on testing and reproduction of any issues in the equivalent Red Hat Linux version; no investigation or testing will be performed on Oracle Linux itself. Support only applies to Oracle Linux versions 5.x and later.
OS Family Operating System Release Conditions
AIX Power PC AIX Power PC 64-bit (AIX 5L for POWER) 7.1 8.1 - 8.5.1 AIX is not supported as of version 8.5.104.03.
Linux Oracle Linux 7 9.0+ Coupled with Unbreakable Enterprise Kernel Release 4.1, this operating system is supported by the following component starting with the version specified: intelligent Workload Distribution Servers 9.0.
Linux Red Hat Enterprise Linux 5 8.0 - 8.5.1 RHEL 5 is not supported as of version 9.0.x.
Linux Red Hat Enterprise Linux 6 8.5+ Native
Linux Red Hat Enterprise Linux 7 8.5.1+
Solaris SPARC Solaris SPARC 64-bit 10 8.0 - 8.5.1 Solaris SPARC is not supported as of version 8.5.104.03.
Windows Windows Server 2008 8.0 - 8.5.1 Windows Server 2008 is not supported as of version 9.0.x.
Windows Windows Server 2012 8.5+
Windows Windows Server 2016 9.0 Windows Server 2016 is supported starting with 9.0.003.

Supported Browsers


Notes:
  • Unless otherwise noted, browser plug-ins are not supported for these browsers. Only the browser is supported.
Component Browser Release Conditions/Limitations
intelligent Workload Distribution User Interface Apple Safari 8.5.103+ Version 9 and 10 are supported.
intelligent Workload Distribution User Interface Apple Safari 9.0+ Two latest versions are supported.
intelligent Workload Distribution User Interface Firefox ESR 8.5.1+ Extended Support Release
intelligent Workload Distribution User Interface Google Chrome 8.5.1+ Latest and two last versions are supported.
intelligent Workload Distribution User Interface Microsoft IE 8.5.1+ Version 11 is supported.

Supported Database/DB Clusters


Notes:
  • An asterisk (*) indicates the oldest databases supported for the Genesys 7.x and Genesys 8.x Maintenance Interoperable Components, including IBM DB2, Informix, MS SQL, Oracle, and Sybase.
  • For Microsoft products with sub-versions such as R1/R2, all versions are supported except as noted for the specific product.
  • Genesys supports Genesys products on the database patch levels up to the latest currently available patch sets.
  • intelligent Workload Distribution also supports the MySQL 5.0.41+ database.
Database Release Conditions/Limitations
MS SQL Server 2008 8.0 - 8.5.1
MS SQL Server 2008 Cluster 8.5-8.5.1
MS SQL Server 2012 8.5+
MS SQL Server 2012 Cluster 8.5+
MS SQL Server 2014 9.0+
MS SQL Server 2014 Cluster 9.0+ Supported with AlwaysOn Cluster
MS SQL Server 2016 9.0.003+
MS SQL Server 2016 Cluster 9.0.003+ Supported with AlwaysOn Cluster with Synchronous Mirroring capability.
Oracle 11g 7.6.1 - 8.5.1 Oracle 11g Rel 1 and Rel 2 are supported. Oracle 11g is not supported as of version 9.0.x.
Oracle 11g RAC 8.0 - 8.5.1 Oracle 11g Rel 1 and Rel 2 are supported. Oracle 11g RAC is not supported as of version 9.0.x.
Oracle 12c R1 8.5.1+
Oracle 12c R1 RAC 8.5.1+
PostgreSQL 9 8.5.1+ Support starts with version 8.5.104.03.
PostgreSQL 9.6 9.0+ Support starts with version 9.0.003.

Supported Virtualization Platforms

Tip
See the global page that lists all Virtualization-related information.

IPV6 Support for Common Interfaces


Notes:
  • This section provides IPv6 information for: intelligent Workload Distribution, intelligent Workload Distribution Runtime Node, intelligent Workload Distribution Runtime Node / Database Capture Point service, intelligent Workload Distribution Runtime Node / Web Service Capture Point service, intelligent Workload Distribution Runtime Node / WebSphere MQ Capture Point service
Component Release Interface Conditions
intelligent Workload Distribution no direct interface License Server
intelligent Workload Distribution no direct interface SIP Server/T-Server
intelligent Workload Distribution no support Interaction Server
intelligent Workload Distribution no support Management Framework Configuration Server/Proxy
iWD Runtime Node no direct interface License Server
iWD Runtime Node no direct interface SIP Server/T-Server
iWD Runtime Node no support Interaction Server
iWD Runtime Node no support Management Framework Configuration Server/Proxy

IPV6 Support for Additional Interfaces


Notes:
  • Release Support numbers refer to intelligent Workload Distribution.
Component Release Interface Conditions
intelligent Workload Distribution no support Genesys Rules System Authoring Tool
intelligent Workload Distribution no support Interaction Server Database
intelligent Workload Distribution no support Interaction Server Event Log Database
intelligent Workload Distribution no support iWD Configuration Database
intelligent Workload Distribution no support iWD Runtime Node
iWD Runtime Node no direct interface iWD Business Context Management Service
iWD Runtime Node no direct interface iWD Data Mart ETL service
iWD Runtime Node no support Interaction Server Database
iWD Runtime Node no support Interaction Server Event Log Database
iWD Runtime Node no support iWD Data Mart Database service
iWD Runtime Node no support Stat Server
iWD Runtime Node/Database Capture Point Service no support Customer-supplied Source System Database
iWD Runtime Node/Web Service Capture Point Service no support Customer-supplied Source System invoking iWD Web Service Capture Point
iWD Runtime Node/WebSphere MQ Capture Point Service no support Customer-supplied WebSphere MQ Server

Prerequisites


intelligent Workload Distribution - Prerequisites

Third-Party Component Prerequisites

Acquired by Customer

Provided by Genesys

Conditions/Limitations

Servlet Engines

Embedded Servlet Engine Yes No Release: 9.0+
IBM WebSphere 8.5 Yes No Release: 8.5
WebSphere 8.5 with IBM JDK 7
Tomcat 7.0 Yes No Release: 8.5
Tomcat 7.0 (with JRE 7). For Linux, OpenJDK7 is supported.

Third-Party Component Prerequisites

ActiveMQ 5.14.4 Message Broker Yes No Release: 9.0+
Version 5.14.4+
IBM MQ Yes No Release: 9.0.009+
Version 9.0.X & 9.1.X
OpenJDK 11 Yes No Release: 9.0+
Recommended for all iWD 9 customers.
OpenJDK 8 Yes No Release: 9.0+

Supported starting with the following:

  • iWD Web 9.0.008.05
  • iWD Stat Server Extensions 9.0.0008.07
  • iWD Runtime Node 9.0.008.07
  • iWD Manager 9.0.008.05
  • iWD History Node 9.0.008.05
  • iWD GAX Plug-In 9.0.008.06
Oracle Java 8 Developer's Kit (JDK) Yes No Release: 9.0+
This page was last modified on July 11, 2019, at 23:41.

Feedback

Comment on this article:

blog comments powered by Disqus